FolksDummy.PersonaStore.register_personas – folks-dummy Reference Manual

# register_personas

## Description:

public void register_personas (Set<Persona> personas)

Register new personas with the persona store.

This registers a set of personas as if they had just appeared in the backing store. If the persona store is not frozen (see FolksDummy.PersonaStore.freeze_personas_changed) the changes are made externally visible on the store immediately (e.g. in the Folks.PersonaStore.personas property and through a Folks.PersonaStore.personas_changed signal). If the store is frozen, the changes will be pending until the store is next unfrozen.

All elements in the @personas set be of type FolksDummy.PersonaStore.persona_type.

## Parameters:

personas | set of personas to register

## Since:

0.9.7